Modify

Opened 12 years ago

Closed 12 years ago

Last modified 11 years ago

#161 closed defect (fixed)

webif won't upgrade a wrt54GS version 4

Reported by: gex@… Owned by: developers
Priority: normal Milestone: 1.0-rc5
Component: base system Version: 1.0
Keywords: webif upgrade WRT54GS_v4 Cc:

Description

webif upgrade will not upgrade a wrt54gs_v4 bin file because the first characters of the bin header contain "W54s" rather than "W54S". It appears that both linksys WhiteRussian rc4 and openwrt generate a lower case "s" in the .bin header for WRT54GS_v4 and a large "S" in the header for earlier WRT54GS versions.

webif upgrade.sh looks for "W54G" or W54S" as first 4 characters of bin to indicate cybertan format - but WRT54GS version 4 bin has a lower case "s".

resolved by adding "57353473" to the case selection option in webif/files/www/cgi-bin/webif/upgrade.sh line 24.

only affects WRT54GS ver 4 boxes.

Attachments (0)

Change History (2)

comment:1 Changed 12 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

fixed in [2790]

comment:2 Changed 11 years ago by anonymous

well done !!

tx
Pat

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.